# ggplot2 theme with REACH color palettes — theme_reach • visualizeR
Give some reach colors and fonts to a ggplot.

Skip to contents

# ggplot2 theme with REACH color palettes

Source: `R/theme_reach.R`
`theme_reach.Rd`

Give some reach colors and fonts to a ggplot.

## Usage

    theme_reach(
      palette = "main",
      discrete = TRUE,
      reverse = FALSE,
      font_family = "Leelawadee",
      title_size = 12,
      title_color = cols_reach("main_grey"),
      title_font_face = "bold",
      text_size = 10,
      text_color = cols_reach("main_grey"),
      text_font_face = "bold",
      panel_background_color = "#FFFFFF",
      legend_position = "right",
      legend_direction = "vertical",
      legend_reverse = TRUE,
      axis_x = TRUE,
      axis_y = TRUE,
      grid_x = FALSE,
      grid_y = FALSE,
      grid_color = cols_reach("main_lt_grey"),
      grid_x_size = 0.1,
      grid_y_size = 0.1,
      ...
    )

## Arguments

palette

  Palette name from 'pal_reach()'.

discrete

  Boolean indicating whether color aesthetic is discrete or not.

reverse

  Boolean indicating whether the palette should be reversed.

font_family

  The font family for all plot's texts. Default to "Leelawadee".

title_size

  The size of the title. Defaults to 12.

title_color

  Title color.

title_font_face

  Title font face. Default to "bold". Font face ("plain", "italic", "bold", "bold.italic").

text_size

  The size of all text other than the title, subtitle and caption. Defaults to 10.

text_color

  Text color.

text_font_face

  Text font face. Default to "bold". Font face ("plain", "italic", "bold", "bold.italic").

panel_background_color

  The color for the panel background color. Default to white.

legend_position

  Position of the legend; Default to "right". Can take "right", "left", "top", "bottom" or "none".

legend_direction

  Direction of the legend. Default to "vertical". Can take "vertical" or "horizontal".

legend_reverse

  Reverse the color in the guide? Default to TRUE.

axis_x

  Boolean. Do you need x-axis?

axis_y

  Boolean. Do you need y-axis?

grid_x

  Boolean. Do you need major grid lines for x-axis?

grid_y

  Boolean. Do you need major grid lines for y-axis?

grid_color

  Grid lines color.

grid_x_size

  X line size.

grid_y_size

  Y line size.

...

  Additional arguments passed to `ggplot2::gg_theme()`.

## Value

The base REACH theme